Chat Integrations
Fetch Chat Integration
Fetch a Chat integration
get
/v1/integration/chat/{chatIntegrationId}/fetch
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
chatIntegrationIdstring* Required
The ID of the Chat integration to retrieve
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
token: process.env.CHATBOTKIT_API_TOKEN!
})
const response = await cbk.integration.chat.fetch(
chatIntegrationId)
{"alias":"string","name":"string","description":"string","meta":"object","id":"string","createdAt":"number","updatedAt":"number","botId":"string","blueprintId":"string","server":"string","handle":"string","contactCollection":"boolean","sessionDuration":"number","autoRespond":"string","allowFrom":"string"}The Chat integration was retrieved successfully